import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { UserArgsObjectSchema as UserArgsObjectSchema } from './UserArgs.schema'

const makeSchema = () => z.object({
  id: z.boolean().optional(),
  userId: z.boolean().optional(),
  apiKey: z.boolean().optional(),
  aiEnabled: z.boolean().optional(),
  openAiKey: z.boolean().optional(),
  openAiEnabled: z.boolean().optional(),
  claudeAiKey: z.boolean().optional(),
  claudeAiEnabled: z.boolean().optional(),
  claudeAiModel: z.boolean().optional(),
  openAiModel: z.boolean().optional(),
  googleAiModel: z.boolean().optional(),
  dentalMgmtKey: z.boolean().optional(),
  dentalMgmtEnabled: z.boolean().optional(),
  afterHoursEnabled: z.boolean().optional(),
  openPhoneReply: z.boolean().optional(),
  user: z.union([z.boolean(), z.lazy(() => UserArgsObjectSchema)]).optional()
}).strict();
export const AiSettingsSelectObjectSchema: z.ZodType<Prisma.AiSettingsSelect> = makeSchema() as unknown as z.ZodType<Prisma.AiSettingsSelect>;
export const AiSettingsSelectObjectZodSchema = makeSchema();
